<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');
function xExportar($varForm) {
	$varTitulo = "AVANCE DE COMPRAS POR SUB FAMILIA";	
	$objResponse=new xajaxResponse();
	
	$sql = "call spQuery_Avance_Compras_Sub_Familia('$varForm[anio]', '$varForm[mes]', '$varForm[pcod]');";
	$varCab = array(array("cab"=>"MONTO", "det"=>array("CUOTA","COMPRA","%AVANCE","FALTA")),
					array("cab"=>"CANTIDADES", "det"=>array("CUOTA","COMPRA","%AVANCE","FALTA")),
					);
	$varNiv = array(0 =>array("COD"=>"CSUB","DES"=>"SUBFAMILIA"),
					1 =>array("COD"=>"CFAM","DES"=>"FAMILIA"),
					2 =>array("COD"=>"CTOT","DES"=>"TOTAL"));
	$varFor = array(8=>array("tipodat"=>"porc", "formula"=>array("valor1"=>6, "valor2"=>7, "funcion"=>"porc")),
					12=>array("tipodat"=>"porc", "formula"=>array("valor1"=>10, "valor2"=>11, "funcion"=>"porc")));
	$_SESSION["_varNiv"] = $varNiv;
	$_SESSION["_varPag"] = $varTitulo;
	$_SESSION["_varCab"] = $varCab;
	$_SESSION["_varSql"] = $sql;
	$_SESSION["_varFor"] = $varFor;
	$objResponse->redirect("export_grid_combinado.php?page=$varTitulo");  
    return $objResponse;
	}
	
function xBuscar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsAvanceComprasSubFamilia($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar); 
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor');
$xajax->register(XAJAX_FUNCTION, 'comboMesCompra');
$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS() {		
		if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ANIO");
			xajax.$("anio").focus()
			return (false); 
			}
		else if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
			xajax.$("mes").focus()
			return (false); 
			}
		else if (xajax.$("pcod") && xajax.$("pcod").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN PROVEEDOR");
			xajax.$("pcod").focus()
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'));
			}		
		}
		
	function xExportarJS() {
		if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ANIO");
			xajax.$("anio").focus()
			return (false); 
			}
		else if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
			xajax.$("mes").focus()
			return (false); 
			}
		else if (xajax.$("pcod") && xajax.$("pcod").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN PROVEEDOR");
			xajax.$("pcod").focus()
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}
		}
	
	function xImprimirJS() {
		var varAni = xajax.$("anio").value;
		var varMes = xajax.$("mes").value;
		var varPro = xajax.$("pcod").value;
		
		if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ANIO");
			xajax.$("anio").focus()
			return (false); 
			}
		else if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
			xajax.$("mes").focus()
			return (false); 
			}
		else if (xajax.$("pcod") && xajax.$("pcod").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN PROVEEDOR");
			xajax.$("pcod").focus()
			return (false); 
			}
		else {
			var Ruta = 'print/print_avance_compras_sub_familia.php?anio='+varAni+'&mes='+varMes+'&pro='+varPro;
			testwindow= window.open (Ruta, "print_avance_compras_sub_familia", "location=no,status=no,toolbar=no,scrollbars=1,width=900,height=500");
			}
		}

</script>
<?php		
function MyTable($obj, $titulo, $Opcion, $Valor) {
	if(!isset($Opcion)) {
		echo "<div id=\"divForm\">";
		echo $obj->FormuBusqueda();
		echo "<div id=\"divDatos\">";
		//echo $obj->GridDatos();		
		echo "</div>";
		echo "</div>";
		}
	}
?>